﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Description;

namespace ServiceApplication
{
  class Program
  {
    static void Main(string[] args)
    {
      ServiceHost host = new ServiceHost(typeof(OperationService));
      ServiceEndpoint endpoint = host.AddServiceEndpoint(typeof(IOperationService), new BasicHttpBinding(), "http://localhost:8080/OperationService");
      ServiceMetadataBehavior mex = new ServiceMetadataBehavior();
      mex.HttpGetEnabled = true;
      mex.HttpGetUrl = new Uri("http://localhost:8080/OperationService/mex");
      host.Description.Behaviors.Add(mex);
      try
      {
        host.Open();
        Console.WriteLine("Service is gestart");
        Console.ReadLine();
      }
      finally
      {
        if (host.State == CommunicationState.Faulted)
        {
          host.Abort();
        }
        else
        {
          host.Close();
        }
      }
    }
  }
  [ServiceContract]
  interface IOperationService
  {
    [OperationContract]
    String GetBegroeting(String naam);
  }

  class OperationService : IOperationService
  {
    public string GetBegroeting(string naam)
    {
      return String.Format("Dag {0}", naam);
    }
  }

}
